#include <exec/types.h>
#include <exec/memory.h>
#include <intuition/intuition.h>
#include <workbench/workbench.h>
#include <workbench/startup.h>

#include <proto/exec.h>
#include <proto/dos.h>
#include <proto/intuition.h>
#include <proto/icon.h>
#include <proto/diskfont.h>
#include <proto/graphics.h>

#include <string.h>
#include <clib/alib_stdio_protos.h>

#define INTUI_V36_NAMES_ONLY

/*  proto  */
struct TextFont *setOptions( struct DiskObject * ) ;
struct TextFont *layoutAll( struct TextFont * ) ;
VOID writeInit( VOID ) ;
VOID writeFree( ULONG, ULONG ) ;
VOID writeSnapped( ULONG, ULONG ) ;
VOID writeUsed( ULONG, ULONG ) ;
VOID myPrintINumber( ULONG, ULONG, ULONG ) ;
VOID buildBoolBorder( struct Gadget * ) ;
LONG digit_maxlength( struct TextFont * ) ;
VOID formatTitle( STRPTR, STRPTR, ULONG, ULONG ) ;
VOID putToolTypes( struct DiskObject *, STRPTR, BOOL ) ;
ULONG findToolType( char **, char *, ULONG ) ;

#define MAX( a, b )  ( (a)>(b)?(a):(b) )
#define SWAP( a, b ) ( (a)^=(b)^=(a)^=(b) )

#define FROMWB (argc == 0)

#define STRLEN (10)
#define DELAYTIME (12)

#define SNAP_GAD    (0)
#define FLUSH_GAD   (1)
