OPT MODULE
MODULE	'exec/ports','exec/nodes'

EXPORT PROC createPort(portname,priority)
  DEF port=NIL:PTR TO mp
  DEF node=NIL:PTR TO ln
  IF portname
    Forbid()
    IF FindPort(portname)=0
      IF port:=CreateMsgPort()
        node:=port.ln
        node.name:=portname
        node.pri:=priority
        AddPort(port)
      ENDIF
    ENDIF
    Permit()
  ELSE
    port:=CreateMsgPort()
  ENDIF
ENDPROC port,port.sigbit

EXPORT PROC deletePort(port:PTR TO mp)
  DEF node=NIL:PTR TO ln
  DEF msg=NIL:PTR TO mn
  IF port
    node:=port.ln
    IF node.name THEN RemPort(port)
    Forbid()
    WHILE msg:=GetMsg(port) DO ReplyMsg(msg)
    DeleteMsgPort(port)
    Permit()
  ENDIF
ENDPROC

